name "nginx_proxy"

override_attributes(
  'nginx' => {
    'server_names_hash_bucket_size' => 128
  },
  'tor' => {
    'HiddenServices' => {
      'web' => {
        'HiddenServicePorts' => ['80 127.0.0.1:80', '443 127.0.0.1:443']
      }
    }
  }
)

default_run_list = %w(
  tor-full
  kosmos_assets::nginx_site
  kosmos_discourse::nginx
  kosmos_drone::nginx
  kosmos_garage::default
  kosmos_garage::firewall_rpc
  kosmos_garage::nginx_web
  kosmos_gitea::nginx
  kosmos_rsk::nginx_testnet
  kosmos_rsk::nginx_mainnet
  kosmos_website::default
  kosmos-akkounts::nginx
  kosmos-akkounts::nginx_api
  kosmos-bitcoin::nginx_lndhub
  kosmos-ejabberd::nginx
  kosmos-hubot::nginx_botka_irc-libera-chat
  kosmos-hubot::nginx_hal8000_xmpp
  kosmos-ipfs::nginx_public_gateway
  kosmos-mastodon::nginx
  remotestorage_discourse::nginx
)

env_run_lists(
  '_default' => default_run_list,
  'development' => [],
  'production' => default_run_list
)
