name "openresty_proxy"

override_attributes(
  'openresty' => {
    'server_names_hash_bucket_size' => 128
  },
)

development_run_list = %w(
  role[openresty]
  kosmos_assets::nginx_site
)

default_run_list = %w(
  role[openresty]
)

production_run_list = %w(
  role[openresty]
  role[garage_gateway]
  kosmos_assets::nginx_site
  kosmos_discourse::nginx
  kosmos_drone::nginx
  kosmos-ejabberd::nginx
  kosmos_garage::nginx_web
  kosmos_garage::nginx_s3
  kosmos_gitea::nginx
  kosmos_gitea::nginx_ssh
  kosmos_rsk::nginx_testnet
  kosmos_rsk::nginx_mainnet
  kosmos_website::default
  kosmos-akkounts::nginx
  kosmos-akkounts::nginx_api
  kosmos-bitcoin::nginx_lndhub
  kosmos-hubot::nginx_botka_irc-libera-chat
  kosmos-hubot::nginx_hal8000_xmpp
  kosmos-ipfs::nginx_public_gateway
  kosmos-mastodon::nginx
  remotestorage_discourse::nginx
  role[tor_proxy]
)

env_run_lists(
  '_default' => default_run_list,
  'development' => development_run_list,
  'production' => production_run_list
)
