node.normal['ipfs']['version'] = "0.15.0"
node.normal['ipfs']['checksum'] = "5830ce226956c5e2a2de3a3440704402dd3501c43ec16eeec2d61491317005f2"

node.default['kosmos-ipfs']['swarm_p2p_port'] = 4001
node.default['kosmos-ipfs']['api_port'] = 5001
node.default['kosmos-ipfs']['gateway_port'] = 9090

node.default['kosmos-ipfs']['ipfs']['config'] = {
  # The default gateway is already used by kosmos' hubot (8080)
  "Addresses.Gateway" => "/ip4/0.0.0.0/tcp/#{node['kosmos-ipfs']['gateway_port']}",
  # API with Web UI
  "Addresses.API" => "/ip4/0.0.0.0/tcp/#{node['kosmos-ipfs']['api_port']}",
  # Do not fetch/serve anything not pinned/cached on our node
  "Gateway.NoFetch" => true,
  # Act as DHT client only
  "Routing.Type" => "dhtclient",
  # Enable bandwith metrics
  'Swarm.DisableBandwidthMetrics' => false,
  # Disable the p2p-circuit relay transport
  'Swarm.Transports.Network.Relay' => false,
  # Number of connections that, when exceeded, will trigger a connection GC
  # operation
  'Swarm.ConnMgr.HighWater' => 40,
  # Minimum number of connections to maintain
  'Swarm.ConnMgr.LowWater' => 20,
  # Do not dial out to these IP ranges
  # We go a bit nuts on the 10.0 range definitions to allow dialouts on our own
  # private network
  'Swarm.AddrFilters' => [
                          '/ip4/10.128.0.0/ipcidr/9',
                          '/ip4/10.64.0.0/ipcidr/10',
                          '/ip4/10.32.0.0/ipcidr/11',
                          '/ip4/10.16.0.0/ipcidr/12',
                          '/ip4/10.8.0.0/ipcidr/13',
                          '/ip4/10.4.0.0/ipcidr/14',
                          '/ip4/10.2.0.0/ipcidr/15',
                          '/ip4/10.0.0.0/ipcidr/16',
                          '/ip4/10.1.128.0/ipcidr/17',
                          '/ip4/10.1.64.0/ipcidr/18',
                          '/ip4/10.1.32.0/ipcidr/19',
                          '/ip4/10.1.16.0/ipcidr/20',
                          '/ip4/10.1.8.0/ipcidr/21',
                          '/ip4/10.1.4.0/ipcidr/22',
                          '/ip4/10.1.2.0/ipcidr/23',
                          '/ip4/10.1.0.0/ipcidr/24',
                          '/ip4/100.64.0.0/ipcidr/10',
                          '/ip4/169.254.0.0/ipcidr/16',
                          '/ip4/172.16.0.0/ipcidr/12',
                          '/ip4/192.0.0.0/ipcidr/24',
                          '/ip4/192.0.0.0/ipcidr/29',
                          '/ip4/192.0.0.8/ipcidr/32',
                          '/ip4/192.0.0.170/ipcidr/32',
                          '/ip4/192.0.0.171/ipcidr/32',
                          '/ip4/192.0.2.0/ipcidr/24',
                          '/ip4/192.168.0.0/ipcidr/16',
                          '/ip4/198.18.0.0/ipcidr/15',
                          '/ip4/198.51.100.0/ipcidr/24',
                          '/ip4/203.0.113.0/ipcidr/24',
                          '/ip4/240.0.0.0/ipcidr/4'],
}

node.default['kosmos-ipfs']['nginx']['domain'] = "ipfs.kosmos.org"
node.default['kosmos-ipfs']['nginx']['external_api_port'] = 5444

node.default['kosmos-ipfs']['kredits-pinner']['revision'] = "v2.2.0"
