#
# Cookbook Name:: kosmos-mastodon
# Recipe:: backup
#

postgresql_data_bag_item = data_bag_item('credentials', 'postgresql')

unless node.chef_environment == "development"
  unless node["backup"]["postgresql"]["databases"].keys.include? 'mastodon'
    node.override["backup"]["postgresql"]["host"] = "pg.kosmos.local"
    node.override["backup"]["postgresql"]["databases"]["mastodon"] = {
      username: "mastodon",
      password: postgresql_data_bag_item['mastodon_user_password']
    }
  end

  include_recipe "backup"
end
