#
# Cookbook:: kosmos_assets
# Recipe:: openresty_site
#

include_recipe "git"
include_recipe "kosmos_openresty"

domain = node["kosmos_assets"]["domain"]

tls_cert_for domain do
  auth "gandi_dns"
  action :create
end

directory "/var/www/#{domain}/site" do
  user node["openresty"]["user"]
  group node["openresty"]["group"]
  mode "0755"
  recursive true
end

git "/var/www/#{domain}/site" do
  user node["openresty"]["user"]
  group node["openresty"]["group"]
  repository node["kosmos_assets"]["repo"]
  revision node["kosmos_assets"]["revision"]
  action :sync
end

openresty_site domain do
  template "nginx_conf_assets.erb"
  variables domain: domain,
            ssl_cert: "/etc/letsencrypt/live/#{domain}/fullchain.pem",
            ssl_key:  "/etc/letsencrypt/live/#{domain}/privkey.pem"
end
