#
# Cookbook:: kosmos_drone
# Recipe:: nginx
#

domain = node["kosmos_drone"]["domain"]

upstream_ip_addresses = []
search(:node, "role:drone").each do |n|
  upstream_ip_addresses << n["knife_zero"]["host"]
end
# No Discourse host, stop here
return if upstream_ip_addresses.empty?

tls_cert_for domain do
  auth "gandi_dns"
  action :create
end

openresty_site domain do
  template "nginx_conf.erb"
  variables server_name:   domain,
            upstream_ip_addresses: upstream_ip_addresses,
            upstream_port: node["kosmos_drone"]["upstream_port"],
            ssl_cert:      "/etc/letsencrypt/live/#{domain}/fullchain.pem",
            ssl_key:       "/etc/letsencrypt/live/#{domain}/privkey.pem"
end
