#
# Cookbook Name:: kosmos_garage
# Recipe:: nginx_s3
#

domain_name = node['garage']['s3_api_root_domain']
server_name = "*.#{domain_name}"

tls_cert_for domain_name do
  domain [domain_name, server_name]
  auth "gandi_dns"
  action :create
end

openresty_site domain_name do
  template "nginx_conf_s3.erb"
  variables server_name: "#{domain_name} #{server_name}",
            domain_name: domain_name,
            xmpp_upload_bucket: node['garage']['xmpp_upload_bucket'],
            max_part_upload_size_mb: node['garage']["max_part_upload_size_mb"],
            ssl_cert:    "/etc/letsencrypt/live/#{domain_name}/fullchain.pem",
            ssl_key:     "/etc/letsencrypt/live/#{domain_name}/privkey.pem"
end
